using System;
using System.Collections;
using System.Collections.Generic;
using Godot;

namespace Rokojori
{
	public class Circle
	{
    public Vector2 center = Vector2.Zero;
    public float radius = 1;

    public static Circle WithRadius( float radius = 1f )
    {
      var c = new Circle();
      c.radius = radius;
      return c;
    }

    public float circumference => radius * Mathf.Pi * 2;
    public float area => Mathf.Pi * radius * radius;
    
  }
}